version: "3.7"

services:
  web:
    image: ghcr.io/music-assistant/server:2.8.6@sha256:400697b305e45bd1712c019e67d22681219e91deb41afe88939f921b5fae137f
    restart: on-failure
    user: "1000:1000"
    # Для правильной работы MA должен быть установлен сетевой режим.
    network_mode: host
    # интерфейс в data/settings.json определил порт 8896
    # Streamserver на порту по умолчанию 8078
    # Sendspin на порту по умолчанию 8927
    volumes:
      - ${APP_DATA_DIR}/data:/data/
      - ${DFWEBOS_ROOT}/data/storage/downloads:/media
    # привилегированные ограничения (и параметры безопасности), необходимые для монтирования папок smb внутри контейнера
    cap_add:
      - SYS_ADMIN
      - DAC_READ_SEARCH
    security_opt:
      - apparmor=unconfined
